/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;
/**
 * A 3d light object.
 */

public class Light 
{
	Vertex lightpos = new Vertex();
//	double lightlen;

	public Light() {		//{{INIT_CONTROLS
		//}}
}

	public Light(Light l) 
	{
	    this.lightpos = new Vertex(l.lightpos);
//		this.lightlen = l.lightlen;
	}

	public Light(double a, double b, double c) 
	{
		lightpos.x = a;
		lightpos.y = b;
		lightpos.z = c;
//		lightlen = Math.sqrt((a * a) + (b * b) + (c * c));
	}

	public void rotate(Orient o1) 
	{
		lightpos.rotate(o1);
//		lightlen = Math.sqrt(
//					(lightpos.x * lightpos.x)
//					+ (lightpos.y * lightpos.y)
//					+ (lightpos.z * lightpos.z)
//				);
	}

	public void translate(Vertex d) 
	{
		lightpos.translate(d);
//		lightlen = Math.sqrt(
//					(lightpos.x * lightpos.x)
//					+ (lightpos.y * lightpos.y)
//					+ (lightpos.z * lightpos.z)
//				);
	}
	//{{DECLARE_CONTROLS
	//}}
}
