/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;

import java.awt.*;
import common.*;

public class DToolBar extends DBar
{
   public static final int HORIZONTAL = 0;
   public static final int VERTICAL = 1;
   protected int orientation;


   public DToolBar(int style)
   {
     super(style);
     setLayout(new FlowLayout(FlowLayout.LEFT, 1 , 0));
   		//{{INIT_CONTROLS
		//}}
}

   public DToolBar()
   {
     this(DBar.RAISED);
   }

   /** Dfinit l'orientation H/V */
   public void setOrientation(int o) 
    { 
       if(o == VERTICAL ) orientation = VERTICAL;
       orientation = HORIZONTAL;
    }   
   public int getOrientation() { return orientation; }
   
 	//{{DECLARE_CONTROLS
	//}}
}
