/*
    Advanced Explorer (c) 1999-2006 by D.G. Sureau

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    webmaster@scriptol.org
    http://www.scriptol.org
*/
package common;

import java.awt.*;
import java.awt.event.*;

public class DialogCYN extends KeyDialog implements ActionListener
{
 java.awt.Button buttonYes;
 java.awt.Button buttonNo;
 java.awt.Label labelQuestion;
 java.awt.Button buttonCancel;

 public DialogCYN(Frame parent)
 {
	super(parent, true);

	setSize(360,108);
	setVisible(false);


	labelQuestion = new java.awt.Label();
	labelQuestion.setBounds(getInsets().left + 14,getInsets().top + 18, 350, 20);
	labelQuestion.setFont(new Font("Dialog", Font.PLAIN, 16));
	panel.add(labelQuestion);

	buttonYes = new java.awt.Button(" Yes ");
	buttonYes.setBounds(getInsets().left + 16,getInsets().top + 66, 96, 26);
	buttonYes.setBackground(getBackground());
	buttonYes.addActionListener(this);
	panel.add(buttonYes);

	buttonCancel = new java.awt.Button("Cancel");
	buttonCancel.setBounds(getInsets().left + 128,getInsets().top + 66, 96, 26);
	buttonCancel.setBackground(getBackground());
	buttonCancel.addActionListener(this);
	panel.add(buttonCancel);

	buttonNo = new java.awt.Button("  No  ");
	buttonNo.setBounds(getInsets().left + 240,getInsets().top + 66, 96, 26);
	buttonNo.setBackground(getBackground());
	buttonNo.addActionListener(this);
	panel.add(buttonNo);

	buttonCancel.addKeyListener(this);
	buttonNo.addKeyListener(this);
	buttonYes.addKeyListener(this);

        setTitle(" Warning");


}

 public DialogCYN(Frame parent, String label)
 {
    this(parent);
    labelQuestion.setText(label);
 }



 public void actionPerformed(java.awt.event.ActionEvent event)
  {
    Object object = event.getSource();

    if (object == buttonNo)  { answer = NO; setVisible(false); }
    else if (object == buttonYes){ answer = YES; setVisible(false); }
    else if (object == buttonCancel) { answer = CANCEL; setVisible(false); }
  }

}
